#ifndef SEARCHGENREBOX_H
#define SEARCHGENREBOX_H

#include "qbuttongroup.h"
#include "qradiobutton.h"
#include "qcheckbox.h"

class SearchGenreBox : public QButtonGroup
{
Q_OBJECT

public:
  SearchGenreBox(QWidget *parent);
  QString queryString();

private:
  QRadioButton *all;
  QRadioButton *select;
  QCheckBox *blues;
  QCheckBox *classical;
  QCheckBox *country;
  QCheckBox *data;
  QCheckBox *folk;
  QCheckBox *jazz;
  QCheckBox *misc;
  QCheckBox *newage;
  QCheckBox *reggae;
  QCheckBox *rock;
  QCheckBox *soundtrack;
};

#endif // SEARCHGENREBOX_H
